extends MarginContainer


onready var ammo = $HB/Ammo
onready var hp = $HB/HP
onready var game_over_panel = $PopupPanel

func set_ammo(new_ammo):
	ammo.text = "AMMO: " + str(new_ammo)

func set_hp(new_hp):
	hp.text = "HP: " + str(new_hp)

func _ready():
	pass # Replace with function body.

func show_game_over():
	game_over_panel.show()

func _on_Restart_pressed():
	get_tree().change_scene("res://Game.tscn")
	get_tree().paused = false
